## org.eclipse.datatools.sqltools.schemaobjecteditor.ui
Interface IErrorItem

All Known Implementing Classes:
  ErrorItem

    public interface IErrorItem

Instance of this interface is used to describe an error item on an editor page.

Author:
  Idull

Field Summary
`static int` `CANCEL`
`static int` `ERROR`
`static int` `INFO`
`static int` `OK`
`static int` `WARNING`

Method Summary
`java.lang.String` `getMessage()` Returns the error message
`int` `getSeverity()` Returns the severity.
`java.lang.Object` `getSource()` Returns the source object on which the error occurs.

Field Detail

### OK

    static final int OK

See Also:
  Constant Field Values

### INFO

    static final int INFO

See Also:
  Constant Field Values

### WARNING

    static final int WARNING

See Also:
  Constant Field Values

### ERROR

    static final int ERROR

See Also:
  Constant Field Values

### CANCEL

    static final int CANCEL

See Also:
  Constant Field Values

Method Detail

### getSource

    java.lang.Object getSource()

  Returns the source object on which the error occurs. (For future use)

  Returns:

### getMessage

    java.lang.String getMessage()

  Returns the error message

  Returns:

### getSeverity

    int getSeverity()

  Returns the severity. @see Diagnostic

  Returns: